* {
    /* font-family: "Trebuchet MS"; */
    /* font-family: "Verdana"; */
    font-family: "Segoe UI", Helvetica, sans-serif;
    /* font-family: "Segoe script"; */
}

select {
    background-color: #1c1c1c;
    color: #ffffff;
}

#drawPlace {
    cursor: url(./favicon_io/favicon-16x16.png), auto;
}

/* make h1 in #main center on the page both hotizontally and vertically*/
#main h1 {
    text-align: center;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-55%, -50%);
    /* font-size: 200%; */
}

#main p {
    text-align: center;
    position: absolute;
    top: 55%;
    left: 49%;
    transform: translate(-50%, -50%);
}

/*  */
#main:hover h1 #p:hover::before {
    content: "Project";
    visibility: visible;
    opacity: 0;
    animation: fade-in 0.5s ease-in-out forwards;
    position: relative;
    left: 20px; /* adjust the value to your liking */
}

#main:hover h1 #p:hover::after {
    content: "";
    visibility: visible;
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    border-right: 3px solid #000000;
    animation: draw-rectangle-P 0.5s ease-in-out forwards;
}

#main:hover h1 #np:hover::before {
    content: "Not-Project";
    visibility: visible;
    opacity: 0;
    
    animation: fade-in 0.5s ease-in-out forwards;
}

#main:hover h1 #np:hover::after {
    content: "";
    visibility: visible;
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    border-right: 3px solid #000000;
    animation: draw-rectangle-NP 0.5s ease-in-out forwards;
}


#main:hover h1 #p:hover {
    visibility: hidden;
    
}
#main:hover h1 #np:hover {
    visibility: hidden;
}

@keyframes fade-in {
    from { opacity: 0; }
    to { opacity: 1; }
}
@keyframes fade-out {
    from { opacity: 1; }
    to { opacity: 0; }
}

@keyframes draw-rectangle-P {
    from {
        width: 0;
    }
    to {
        width: 50%;
    }
}

@keyframes draw-rectangle-NP {
    from {
        width: 50%;
    }
    to {
        width: 89%;
    }
}
/* add styles for dark mode */
.dark-mode {
    background-color: #1c1c1c;
    color: #ffffff;
}

/* Add styles for dark mode */
.dark-mode #main:hover h1 #p:hover::after,
.dark-mode #main:hover h1 #np:hover::after {
    border-right-color: #ffffff;
}

.dark-mode select {
    background-color: #ffffff;
    color: #000000;
}

#mode-toggle {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 100;
    cursor: pointer;
}

#export {
    /* bottom right of the screen */
    position: absolute;
    bottom: 10px;
    right: 10px;
    z-index: 100;
    cursor: pointer;
}
  
@media screen and (max-width:480px) {
    #main h1 {
        font-size: 1000%;
    }
}



